
Core - Bug # 21769

Status: Rejected Priority: Should have
Author: Christian Lerrahn Category:
Created: 2009-12-02 Assigned To: Alexander Opitz
Updated: 2013-07-01 Due date: 2013-06-24
TYPO3 Version: 4.3
PHP Version: 5.3
Complexity:
Is Regression:
Sprint Focus:
Subject: Hardcoded BE path in typo3/sysext/install/updates/class.tx_coreupdates_installnewsysexts.php
Description

In typo3/sysext/install/updates/class.tx_coreupdates_installnewsysexts.php there are two places where the BE path is hardcoded.

(issue imported from #M12881)

Related issues:
follows Core - Task # 49162: Rewrite install tool Resolved 2011-10-30

History
#1 - 2012-02-07 09:14 - Xavier Perseguers
- Assigned To deleted (Steffen Kamper)
- Target version deleted (0)

#2 - 2013-05-09 19:46 - Alexander Opitz
- Status changed from Accepted to Needs Feedback

The issue is very old, does this issue exists in newer versions of TYPO3 CMS (4.5 or 6.1)?

#3 - 2013-05-10 09:26 - Riccardo De Contardi

as far as I can see:

The lines reported in the attached .diff file are still present in TYPO3 4.5.20 and 4.7.7;
in TYPO3 6.1:

-  the file typo3/sysext/install/updates/class.tx_coreupdates_installnewsysexts.php does not exist

- I've found this line in /typo3/sysext/install/Classes/CoreUpdates/InstallSysExtsUpdate.php:

    /**
     * @var string
     */
    protected $extEmConfPath = 'typo3/sysext/@extensionKey/ext_emconf.php';

Is it related?
BTW in the same file there are some hardcoded labels in english ;)
#4 - 2013-05-10 15:22 - Alexander Opitz
- Status changed from Needs Feedback to New
- Assigned To set to Alexander Opitz

#5 - 2013-07-01 16:52 - Christian Kuhn
- Status changed from New to Rejected

Mhh ... typo3/ path segment is hardcoded at lots of places. I also see no real point in changing that and using the constant instead. With the path put
as default in the protected property in 6.2, it is also not possible to use the constant there (php does not allow this). Only solution would be to add a
__construct compiling the path, which actually only makes the code more complex and harder to understand.

I'd vote for staying with this "hardcoded" path segment at that point ...

I'll close the issue with won't fix. Please re-open if this is really important for you for whatever reason.

Files
hardcoded-BE-path-in-installer.diff 2 kB 2009-12-02 Administrator Admin
